; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK PRNFILE="{Scenario_Dir}\OUTPUT\HNNET00D.PRN"
FILEO PRINTO[2] = "{Scenario_Dir}\OUTPUT\LINKS.CSV"
FILEO PRINTO[1] = "{Scenario_Dir}\OUTPUT\NODES.CSV"
FILEO NETO = "{Scenario_Dir}\OUTPUT\UNLOADED_{ALT}{Year}.NET"
FILEI NODEI[3] = "{Scenario_Dir}\OUTPUT\NODECNT.DBF"
FILEI NODEI[2] = "{Scenario_Dir}\OUTPUT\TEMPNODE.DAT",
 VAR=N,_TOLL_ACC,_TOLL_DEC,_PLAZAID
FILEI LINKI[1] = "{Scenario_Dir}\OUTPUT\TEMP.NET"



PROCESS  PHASE=INPUT, FILEI=LI.1
  TOLL_ACC=0
  TOLL_DEC=0
ENDPROCESS

PROCESS PHASE=NODEMERGE
   PRINT CSV=T, LIST=N(8.0),X,Y printo=1
   IF (TIMESUSED=0) DELETE
ENDPROCESS

PROCESS PHASE=LINKMERGE   
  IF(B._TOLL_DEC=1 & B._PLAZAID>0)
     TOLL_DEC=1
     TOLL=B._PLAZAID;_PLAZAID
  ENDIF
  IF(A._TOLL_ACC=1 & A._PLAZAID>0)
     TOLL_ACC=1
     TOLL=A._PLAZAID;_PLAZAID
  ENDIF

  if (time>0)
    _AUTOSPEED=60*(DISTANCE/{units})/TIME
  else
    _AUTOSPEED=15
  ENDIF
  if (Distance=0) distance=0.01 

_focus=1
_ft=int(facility_type/10)
_at=int(area_type/10)
print list=_focus(2.0),a(5.0),b(5.0),distance*100/{units}(4.0),toll(2.0),_ft(1.0),_at(1.0), printo=2


ENDPROCESS
;ENDPROCESS

ENDRUN
